<div v-if="pages[current_url] && pages[current_url].num_pages > 1 && pages[current_url].count > 0" class="paginator">
  <div class="paginator__arrow">
    <div class="btn btn_m btn_square btn_paginator" @click="pages[current_url].has_previous ? toPage(pages[current_url].previous_page_number) : null" :class="{ btn_disabled: !pages[current_url].has_previous }">
      <div class="btn__icon icon icon_m">
        <svg>
          <use xlink:href="#svg-arrow-left"></use>
        </svg>
      </div>
    </div>
  </div>
  <div class="paginator__pages">
    <div v-if="pages[current_url].has_previous" @click="toPage(1)" class="btn btn_m btn_square btn_paginator">
      <div class="btn__title">1</div>
    </div>
    <div v-if="pages[current_url].number > 4" class="btn btn_m btn_square btn_paginator btn_disabled">
      <div class="btn__title">...</div>
    </div>
    <div v-if="pages[current_url].number == 4" @click="toPage(2)" class="btn btn_m btn_square btn_paginator">
      <div class="btn__title">2</div>
    </div>
    <div v-if="pages[current_url].has_previous && pages[current_url].previous_page_number != 1" @click="toPage(pages[current_url].previous_page_number)" class="btn btn_m btn_square btn_paginator">
      <div class="btn__title">${ pages[current_url].previous_page_number }</div>
    </div>
    <div class="btn btn_m btn_square btn_paginator btn_active">
      <div class="btn__title">${ pages[current_url].number }</div>
    </div>
    <div v-if="pages[current_url].has_next && pages[current_url].next_page_number != pages[current_url].num_pages" @click="toPage(pages[current_url].next_page_number)" class="btn btn_m btn_square btn_paginator">
      <div class="btn__title">${ pages[current_url].next_page_number }</div>
    </div>
    <div v-if="pages[current_url].number == pages[current_url].num_pages - 3" @click="toPage(pages[current_url].num_pages - 1)" class="btn btn_m btn_square btn_paginator">
      <div class="btn__title">${ pages[current_url].num_pages - 1 }</div>
    </div>
    <div v-if="pages[current_url].num_pages - pages[current_url].number > 3" class="btn btn_m btn_square btn_paginator btn_disabled">
      <div class="btn__title">...</div>
    </div>
    <div v-if="pages[current_url].has_next" @click="toPage(pages[current_url].num_pages)" class="btn btn_m btn_square btn_paginator">
      <div class="btn__title">${ pages[current_url].num_pages }</div>
    </div>
  </div>
  <div class="paginator__arrow">
    <div class="btn btn_m btn_square btn_paginator" @click="pages[current_url].has_next ? toPage(pages[current_url].next_page_number) : null" :class="{ btn_disabled: !pages[current_url].has_next }">
      <div class="btn__icon icon icon_m">
        <svg>
          <use xlink:href="#svg-arrow-right"></use>
        </svg>
      </div>
    </div>
  </div>
</div>
